package com.gic.haoban.manage.service.entity.send;

import java.util.Date;
import java.io.Serializable;

/**
 * 企微群发明细表(TabQwSendLog)实体类
 *
 * @author makejava
 * @since 2025-03-25 13:48:03
 */
public class TabQwSendLog implements Serializable {
    private static final long serialVersionUID = -43606899312408812L;
    /**
     * 主键id
     */
    private Long id;
    /**
     * 会员id
     */
    private String memberId;
    /**
     * 会员外部联系人id
     */
    private String externalUserId;
    /**
     * 导购id
     */
    private String clerkId;
    /**
     * 成员id
     */
    private String staffId;
    /**
     * msgId
     */
    private String msgId;
    /**
     * 发送状态, 0 : 待发送, 1 : 发送成功, 2 : 发送失败
     */
    private Integer sendStatus;
    /**
     * 发送时间
     */
    private Date sendTime;
    /**
     * 2 : 因客户不是好友导致发送失败 3 : 因客户已经收到其他群发消息导致发送失败
     */
    private Integer failReasonType;
    /**
     * 好办企业id
     */
    private String wxEnterpriseId;
    /**
     * 企业id
     */
    private String enterpriseId;
    /**
     * 是否删除
     */
    private Integer deleteFlag;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date updateTime;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getExternalUserId() {
        return externalUserId;
    }

    public void setExternalUserId(String externalUserId) {
        this.externalUserId = externalUserId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getMsgId() {
        return msgId;
    }

    public void setMsgId(String msgId) {
        this.msgId = msgId;
    }

    public Integer getSendStatus() {
        return sendStatus;
    }

    public void setSendStatus(Integer sendStatus) {
        this.sendStatus = sendStatus;
    }

    public Date getSendTime() {
        return sendTime;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }

    public Integer getFailReasonType() {
        return failReasonType;
    }

    public void setFailReasonType(Integer failReasonType) {
        this.failReasonType = failReasonType;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

}

